Subject: Re: [PATCH v2 00/11] Updates to worktree code and docs

From: Derrick Stolee <[email-masked]>
Date: Wed, 23 Feb 2022 09:26:08 -0500

On 2/23/2022 1:51 AM, Elijah Newren wrote:
> On Mon, Feb 21, 2022 at 4:18 PM Derrick Stolee via GitGitGadget
> <[email-masked]> wrote:
>>
>> This is built on top of ds/sparse-checkout-requires-per-worktree-config and
>> includes some forward fixes for comments from that series.
>>
>>  * Patch 1 combines two translatable messages into one. (Thanks, Jean-Noël)
>>  * Patches 2-4 extract methods from the already-busy add_worktree() method.
>>    (Thanks, Eric)
>>  * Patches 5-11 update git-worktree.txt to use 'worktree' over 'working
>>    tree'. This involves some rewrapping of the paragraphs, so the diffs are
>>    not obviously just a find and replace. I split the changes mostly by
>>    section of the file to keep the diffs from being too large.
>>
>>
>> Updates in v2
>> =============
>>
>> Based on Junio and Taylor's review, I updated some language in the docs:
>>
>>  * Some uses of "worktree" should have stayed as "working tree"
>>  * Some adjacent wording was improved.
> 
> I read through the series.  Looks like the only thing I caught was
> typos that others caught -- though one of them was a typo flagged by
> Taylor in v1 that went uncorrected in v2 ("metada").  Otherwise, looks
> good; thanks for fixing this all up.

Thanks, all. There were enough typos in this version that I'll send
a v3 that fixes them all.

Thanks,
-Stolee